summaryrefslogtreecommitdiff
path: root/ext/fiddle
diff options
context:
space:
mode:
authormame <mame@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2010-06-15 16:43:46 +0000
committermame <mame@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2010-06-15 16:43:46 +0000
commit3ccd6c0aab516bb1ca8402b985db83a90dbd0eb2 (patch)
tree48408e0d1f5973111cbcd370f963caba88d7cf49 /ext/fiddle
parent06ecaa4943754f5c8d1c8f99ff1f7bf35458e8b1 (diff)
* ext/fiddle/extconf.rb: check ffi.h even when pkg-config succeeded.
On Debian/lenny, which is a "supported" platform, ffi.h is installed in /usr/include/i486-linux-gnu/. This causes build error when using gcc whose target is not i486-linux-gnu. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@28332 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Diffstat (limited to 'ext/fiddle')
-rw-r--r--ext/fiddle/extconf.rb3
1 files changed, 2 insertions, 1 deletions
diff --git a/ext/fiddle/extconf.rb b/ext/fiddle/extconf.rb
index c80a1f9..dcc2c43 100644
--- a/ext/fiddle/extconf.rb
+++ b/ext/fiddle/extconf.rb
@@ -4,7 +4,8 @@ require 'mkmf'
dir_config 'libffi'
-unless pkg_config("libffi") or have_header('ffi.h')
+pkg_config("libffi")
+unless have_header('ffi.h')
if have_header('ffi/ffi.h')
$defs.push(format('-DUSE_HEADER_HACKS'))
else